Vai al contenuto principale
POST
/
video
/
retrieve
/api/v1/video/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/video/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "video-model-123",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 145000,
  "execution_duration": 53200
}
Per i modelli privati, il file finale viene scaricato dal download_url restituito da /video/queue (non come binario da questo endpoint). Consulta Link di download privati per scoprire come funziona il link, i retry e l’eventuale DELETE.

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
model
string
obbligatorio

The ID of the model used for video generation.

Esempio:

"video-model-123"

queue_id
string
obbligatorio

The ID of the video generation request.

Esempio:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
predefinito:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.

Esempio:

false

Risposta

Video file if completed, or processing status if still in progress

status
enum<string>
obbligatorio

The status of the video generation request.

Opzioni disponibili:
PROCESSING,
COMPLETED
Esempio:

"PROCESSING"

average_execution_time
number
obbligatorio

The estimated execution time of the video generation request in milliseconds (P80).

Esempio:

145000

execution_duration
number
obbligatorio

The current duration of the video generation request in milliseconds.

Esempio:

53200